Skip to main content
POST
Create Machine

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json

Schema for creating a machine

fingerprint
string
required
Required string length: 1 - 36
unkey_key_id
string
required
Required string length: 1 - 255
name
string | null
Maximum string length: 255
version
string | null
Maximum string length: 50
hostname
string | null
Maximum string length: 255
os_info
string | null
machine_parameters
Machine Parameters · object | null

Machine-specific input values that auto-populate runs

machine_sensitive_parameters
Machine Sensitive Parameters · object | null

Machine-specific sensitive input aliases (stored in Basis Theory)

Response

Successful Response

Machine response schema

id
string<uuid>
required
unkey_key_id
string
required
status
enum<string>
required
Available options:
connected,
disconnected,
error
is_available
boolean
required
alerts_enabled
boolean
required
created_at
string<date-time>
required
last_seen
string<date-time>
required
name
string | null
Maximum string length: 255
version
string | null
Maximum string length: 50
hostname
string | null
Maximum string length: 255
os_info
string | null
machine_parameters
Machine Parameters · object | null

Machine-specific input values that auto-populate runs

machine_sensitive_parameters
Machine Sensitive Parameters · object | null

Machine-specific sensitive input aliases (stored in Basis Theory)

user_id
string<uuid> | null
organization_id
string | null
reserved_session_id
string<uuid> | null
linked_keepalive_machine_id
string<uuid> | null
physical_server_id
string | null

Fly machine ID hosting the WebSocket connection

pools
PoolResponse · object[] | null